'use strict';
Object.defineProperty(exports, "__esModule", { value: true });
var webpack = require("webpack");
var chalk_1 = require("chalk");
var index_1 = require("../webpack/index");
var log_stats_setting_1 = require("../log-stats-setting");
var index_2 = require("../webpack/index");
exports.generateConfigure = index_2.generateConfigure;
function build(config, option) {
    var conf = index_1.generateConfigure(config, option);
    var compiler = webpack(conf);
    compiler.run(function (err, stats) {
        if (err) {
            return console.error(chalk_1.default.red(String(err)));
        }
        if (stats.hasErrors()) {
            // Handle errors here
            console.error(stats.toString({
                colors: true,
                version: false,
                hash: false
            }));
        }
        else {
            var logSetting = option.verbose ? log_stats_setting_1.LOG_SETTINGS.verbose : log_stats_setting_1.LOG_SETTINGS.normal;
            console.log(stats.toString(logSetting));
            console.log(chalk_1.default.green('Done'));
        }
        // Done processing
    });
}
exports.build = build;
