'use strict';
Object.defineProperty(exports, "__esModule", { value: true });
var chalk_1 = require("chalk");
var webpack = require("webpack");
var index_1 = require("../webpack/index");
var WebpackDevServer = require('webpack-dev-server');
function generateConfigure(config, option) {
    var conf = index_1.generateConfigure(config, option);
    WebpackDevServer.addDevServerEntrypoints(conf, conf.devServer);
    return conf;
}
exports.generateConfigure = generateConfigure;
function serve(config, option) {
    option.watch = true;
    var conf = generateConfigure(config, option);
    var compiler = webpack(conf);
    var server = new WebpackDevServer(compiler, conf.devServer);
    server.listen(option.port, '0.0.0.0', function () {
        console.log(chalk_1.default.blue("Starting server on http://localhost:" + option.port));
    });
    ['SIGINT', 'SIGTERM'].forEach(function (sig) {
        process.on(sig, function () {
            server.close(function () {
                process.exit();
            });
        });
    });
}
exports.serve = serve;
