"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var path = require("path");
exports.DEFAULT_CONFIG = {
    app: {
        root: 'src',
        outDir: 'dist',
        assets: [
            'assets/lib',
        ],
        vendor: [
            'assets/js/vendor.+(js|ts)',
        ],
        entry: {
            main: 'assets/js/main.+(js|ts)',
            styles: 'assets/css/styles.+(scss|css)',
        },
        pages: [
            {
                template: '*.+(ejs|html)',
                options: {
                    params: {
                        title: 'index'
                    }
                }
            }
        ],
        stylePreprocessorOptions: {
            includePaths: [] // todo
        },
        scriptPreprocessorOptions: {
            uglify: {}
        },
        browsers: ['last 2 versions'],
        environments: {
            dev: 'environments/dev.json',
            prod: 'environments/prod.json'
        },
        watchIgnore: [],
        scriptType: 'ts' // todo
    },
    test: {
        files: [
            'assets/js/vendor.js',
            'assets/js/**/*.spec.js'
        ]
    },
    generate: {
        types: ['js', 'css', 'html'],
        templates: {
            js: {
                // types: handlebars template path(glob pattern)
                // naming rule -> [YOUR_FILE_NAME].[EXTENSION].hbs
                // ex: hoge.js.hbs (after generating)-> hoge.js
                path: path.join(__dirname, 'templates/js/**/*.hbs'),
                output: 'assets/js'
            },
            css: {
                path: path.join(__dirname, 'templates/css/**/*.hbs'),
                output: 'assets/css',
            },
            html: {
                path: path.join(__dirname, 'templates/html/**/*.hbs'),
                output: './'
            }
        }
    }
};
