'use strict';
Object.defineProperty(exports, "__esModule", { value: true });
var path = require("path");
function babelConf(config, option) {
    return {
        module: {
            rules: [
                {
                    test: /\.jsx?$/,
                    use: [
                        {
                            loader: 'cache-loader',
                            options: {
                                cacheDirectory: path.join(process.cwd(), '.cache/js')
                            }
                        },
                        {
                            loader: 'babel-loader',
                            options: {
                                compact: false,
                                presets: [['env', {
                                            targets: {
                                                browsers: config.app.browsers
                                            }
                                        }]]
                            }
                        }
                    ]
                },
                {
                    test: /\.jsx?$/,
                    exclude: /node_modules|vendor\.js/,
                    loader: 'eslint-loader',
                    enforce: 'pre',
                    options: {
                        fix: option.fix ? option.fix : false,
                        cache: false,
                        emitError: false,
                        emitWarning: false,
                        quiet: false,
                        failOnWarning: false,
                        failOnError: false
                    }
                }
            ]
        }
    };
}
exports.babelConf = babelConf;
