'use strict';
Object.defineProperty(exports, "__esModule", { value: true });
var merge = require("webpack-merge");
var common_1 = require("./common");
var babel_1 = require("./babel");
var typescript_1 = require("./typescript");
var sass_1 = require("./sass");
var html_1 = require("./html");
var server_1 = require("./server");
function generateConfigure(config, option) {
    var conf = [
        common_1.commonConf(config, option),
        babel_1.babelConf(config, option),
        sass_1.sassConf(config, option),
        html_1.htmlConf(config, option)
    ];
    if (config.app.scriptType === 'ts') {
        conf.push(typescript_1.tsConf(config, option));
    }
    if (option.watch) {
        conf.push(server_1.serverConf(config, option));
    }
    return merge.apply(void 0, conf);
}
exports.generateConfigure = generateConfigure;
