'use strict';
Object.defineProperty(exports, "__esModule", { value: true });
var path = require("path");
var webpack = require("webpack");
var WriteFilePlugin = require('write-file-webpack-plugin');
function serverConf(config, option) {
    var conf = {
        devServer: {
            contentBase: path.join(process.cwd(), config.app.outDir),
            compress: false,
            historyApiFallback: option.fallback,
            hot: true,
            https: option.ssl,
            noInfo: !option.verbose,
            quiet: true,
            overlay: true,
            publicPath: '/',
            host: '0.0.0.0',
            watchContentBase: false,
            inline: true,
            useLocalIp: option.useIp,
            port: option.port,
            watchOptions: {},
            stats: {
                colors: true,
                chunks: option.verbose,
                assets: option.verbose,
                modules: option.verbose,
                children: option.verbose,
                version: option.verbose,
                hash: false
            }
        },
        plugins: [
            new webpack.NamedModulesPlugin(),
            new webpack.HotModuleReplacementPlugin()
        ]
    };
    if (option.write) {
        conf.plugins.push(new WriteFilePlugin());
    }
    return conf;
}
exports.serverConf = serverConf;
