'use strict';
Object.defineProperty(exports, "__esModule", { value: true });
var path = require("path");
var CheckerPlugin = require('awesome-typescript-loader').CheckerPlugin;
function tsConf(config, option) {
    return {
        module: {
            rules: [
                {
                    test: /\.tsx?$/,
                    use: [
                        {
                            loader: 'cache-loader',
                            options: {
                                cacheDirectory: path.join(process.cwd(), '.cache/ts')
                            }
                        },
                        {
                            loader: 'awesome-typescript-loader',
                            options: {
                                transpileOnly: false,
                                instance: 'TS',
                                useBabel: true,
                                useCache: false,
                                configFileName: option.tsConfig
                            }
                        }
                    ]
                },
                {
                    test: /\.tsx?$/,
                    exclude: /node_modules|vendor\.js/,
                    loader: 'eslint-loader',
                    enforce: 'pre',
                    options: {
                        fix: option.fix ? option.fix : false,
                        cache: false,
                        emitError: false,
                        emitWarning: false,
                        quiet: false,
                        failOnWarning: false,
                        failOnError: false
                    }
                }
            ]
        },
        plugins: [
            new CheckerPlugin()
        ]
    };
}
exports.tsConf = tsConf;
