module.exports = {
  app: {
    root: 'src', // ok
    outDir: 'dist', // ok
    assets: [ // check
      'assets/lib',
      // 'favicon.ico',
      {
        glob: '**/*.js',
        input: 'aaaa',
        output: 'fffff'
      }
    ],
    vendor: [
      'assets/js/vendor.+(js|ts)'
    ],
    entry: {
      main: 'assets/js/main.+(js|ts)',
      styles: 'assets/css/styles.+(scss|css)'
    },
    pages: [
      {
        template: '*.+(ejs|html)',
        options: {
          params: {
            title: 'index'
          }
        }
      },
      {
        template: 'page/**/*.+(ejs|html)',
        script: ['vendor', 'styles'],
        options: {}
      }
    ],
    stylePreprocessorOptions: {
      includePaths: [] // todo
    },
    browsers: ['last 2 versions'],
    environments: { // ok
      dev: 'environments/dev.json',
      prod: 'environments/prod.json'
    },
    watchIgnore: [],
    scriptType: 'ts'
  },
  test: {
    files: [
      'assets/js/vendor.js',
      'assets/js/**/*.spec.js'
    ]
  }
}
